Bug 1376213 - Request: 3.8.1 for Fedora 24/25
Summary: Request: 3.8.1 for Fedora 24/25
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-14 21:40 UTC by Jeremy Newton
Modified: 2017-01-16 19:51 UTC (History)
8 users (show)

Fixed In Version: llvm-3.8.1-2.fc24 llvm-3.8.1-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-14 05:19:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Jeremy Newton 2016-09-14 21:40:36 UTC
Hello,

If I understand correctly, llvm 3.8.1 is a bugfix release; can you please build it for Fedora 24/25? It only exists in git for f25 and rawhide, but latest build failed to complete:

http://koji.fedoraproject.org/koji/buildinfo?buildID=780086

I'm assuming this is because of this typo:
http://pkgs.fedoraproject.org/cgit/rpms/llvm.git/commit/?h=f25&id=3c6edb0d6bb1e4509b2d5ad7747aeaaf8a5834a2

But a rebuild hasn't been pushed yet. Although it's hard to tell if the build was based before or after this commit, as the build logs seem to have been cleaned up on koji.

Thanks!

Comment 1 Jeremy Newton 2016-09-15 18:38:51 UTC
After looking into it...

It seems there are some warnings in sphinx, which are in turn treated as errors.

This can be worked around with by adding the cmake flag -DLLVM_ENABLE_SPHINX=ON

I'm not sure if this is a good idea though, as it probably should probably be patched and reported upstream.

Comment 2 Jeremy Newton 2016-09-15 18:41:41 UTC
Correction, I meant to say the cmake flag -DSPHINX_WARNINGS_AS_ERRORS=OFF

Comment 3 Josh Stone 2017-01-07 02:03:20 UTC
Thanks - I'll need a rebuild for bug 1410950, and I was getting hung up on these same sphinx warnings.  Some of them did get patches applied to 3.9 on rawhide, and/or were already fixed upstream.  I think it's totally fine at this point to just disable the warnings-as-errors on our 3.8 builds.

If the other bug goes well, I should be able to get this out early next week.

Comment 4 Fedora Update System 2017-01-11 02:12:03 UTC
llvm-3.8.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-55f46db34e

Comment 5 Fedora Update System 2017-01-11 02:12:18 UTC
llvm-3.8.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e88986ac9

Comment 6 Fedora Update System 2017-01-12 07:50:59 UTC
llvm-3.8.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-55f46db34e

Comment 7 Fedora Update System 2017-01-12 07:52:12 UTC
llvm-3.8.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e88986ac9

Comment 8 Fedora Update System 2017-01-14 05:19:34 UTC
llvm-3.8.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-01-16 19:51:25 UTC
llvm-3.8.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.